=== debian/changelog ===
deepin-topbar (0.1-1) unstable; urgency=low

  * Initial release.

 -- Deepin Packages Builder <kirigaya@mkacg.com>  Mon, 13 Feb 2017 16:32:34 +0800
