=== debian/control ===
Source: deepin-topbar
Section: base
Priority: optional
Maintainer: kirigaya <kirigaya@mkacg.com>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 dpkg-dev,
 qttools5-dev-tools,
 expect,
 cmake,
 qt5-default,
 qtbase5-dev,
 libdtkwidget-dev,
 libdtkcore-dev,
 libdtkcore-bin,
 libxcb-ewmh-dev,
 libxcb-util0-dev,
 libdframeworkdbus-dev,
 libgsettings-qt-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-composite0-dev,
 libqt5svg5-dev,
 libxtst-dev,
 libgsettings-qt-dev,
 libdbusmenu-qt5-dev,
 libdde-network-utils-dev,
 libprocps-dev
Standards-Version: 0.1-1
Homepage: https://github.com/haruyukilxz/deepin-topbar

Package: deepin-topbar
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: dde-topbar
Replaces: dde-topbar
Description: topbar for deepin.
